
lldbupdate - Update the LoadLeveler database

Use the lldbupdate command to update the LoadLeveler database when
service is applied.

Syntax

perl lldbupdate -? | -H | -v | [-f] [-t]

Flags

-? 
   Provides a short usage message.

-H 
   Provides extended help information.

-v 
   Displays the name of the command, release number, and service level
   date.

-f 
   Forces a database update. Database version checking will be ignored.
   Normally, this command checks to see that the version is a valid
   release number, service level, service level date, and lowest level
   of the operating system to run this release.

-t 
   Displays trace output for the SQL commands and execution log.

Description

For clusters using the database option for configuration, run the
lldbupdate command on the node running the database when service is
applied. lldbupdate ensures that the configuration database is
synchronized with the version of LoadLeveler in the service update. It
needs to be run once regardless of how many nodes are in the cluster and
only on a node that is configured to access the database.

You cannot use this command to back out database changes by running an
earlier version of lldbupdate against a later version of the database.
It is suggested that you back up the database before running this
command.

lldbupdate is a Perl script and must be invoked with the perl command.

Examples

1. To update the database after 4.1.0.5 is installed, issue: 

   [root@c197blade4b06 ]# perl /usr/lpp/LoadL/full/bin/lldbupdate
    
   You should receive a response similar to the following:
    
   lldbupdate: The LoadLeveler database has been updated to version 
               4.1.0.5 successfully.

2. To update the database to the latest version and put trace
   information into a file called /tmp/lldbupdate.log, issue:
   
   [root@c197blade4b06 ]# perl /usr/lpp/LoadL/full/bin/lldbupdate -t \
   >/tmp/lldbupdate.log 2>&1
    
   The contents of the file /tmp/lldbupdate.log will be similar to the
   following:
    
   lldbupdate: Successfully executed: SELECT schema()
   lldbupdate: Successfully executed: select lldbVersion as version from 
               TLL_Cluster where clusterID=(select DISTINCT clusterID 
	       from TLL_Nodelist)
   lldbupdate: Successfully executed: SELECT TABLE_NAME as name, 
               TABLE_NAME as base_name FROM information_schema.TABLES 
	       WHERE TABLE_SCHEMA='lldb' AND TABLE_NAME LIKE 'TLL%'
   lldbupdate: Successfully executed: SELECT TABLE_NAME as name FROM 
               information_schema.VIEWS WHERE TABLE_SCHEMA='lldb' AND 
               TABLE_NAME LIKE 'VLL%'
   ... 
   lldbupdate: The LoadLeveler database has been updated to version 
               4.1.0.5 successfully.

3. To force a database update, issue: 

   [root@c197blade4b06 ]# perl /usr/lpp/LoadL/full/bin/lldbupdate -f
    
   You should receive a response similar to the following:
    
   lldbupdate: The LoadLeveler database has been updated to version 
               4.1.0.5 successfully.

Security

Only the root user can issue this command.
