/* 
 ***************************************************************************
 *                                                                             
 *  5765-145 (C) COPYRIGHT IBM CORP 1993
 *  5765-227 (C) COPYRIGHT IBM CORP 1993                                       
 *  5765-228 (C) COPYRIGHT IBM CORP 1993                                       
 *                                                                             
 ***************************************************************************
 Module Name     : pacct.c
 Abtract         : Sample program using llr_get_history function
 ***************************************************************************
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "llrapi.h"

extern const char* step_state_string(llr_step_state_t s);
llr_resmgr_handle_t *rm_handle = NULL;
int     formatjob(llr_element_t *job) {
        llr_element_t *err_object = NULL;
        int rc = 0;
        char* job_id = NULL;
        int step_count = 0;
        llr_data_list_t step_list;
        void* step = NULL;
        llr_step_state_t step_state;
        char *step_id = NULL;

        rc = llr_get_data(rm_handle, job, LLR_JobID, &job_id, &err_object);

        if (rc == LLR_API_OK) {
                rc += llr_get_data(rm_handle, job, LLR_JobStepCount, &step_count, &err_object);
                fprintf(stdout, "Job %s has %d %s.\n", job_id, step_count, step_count==1?"step":"steps");
                rc += llr_get_data(rm_handle, job, LLR_JobGetStepList, &step_list, &err_object);
                rc += llr_get_data(rm_handle, &step_list, LLR_JobGetFirstStep, &step, &err_object);
                while (step != NULL) {
                        rc += llr_get_data(rm_handle, step, LLR_StepID, &step_id, &err_object);
                        rc += llr_get_data(rm_handle, step, LLR_StepState, &step_state, &err_object);
                        fprintf(stdout," Step %s is in %s.\n", step_id, step_state_string(step_state));
                        rc += llr_get_data(rm_handle, &step_list, LLR_JobGetNextStep, &step, &err_object);
                }
                        err_object = NULL;
        }
        if (rc != LLR_API_OK) {
                if (err_object) {
                        llr_error(&err_object, LLR_ERROR_PRINT_STDERR);
                }
                fprintf(stderr, "llr_get_data failed.\n");
                exit(-1);
        }
}

main(int argc, char *argv[])
{
        llr_element_t *errObj = NULL;
        int     formatjob(llr_element_t *fj);
        int ret;

        if (argc < 2 ) {
                printf("Usage: %s <history_file>\n", argv[0]);
                exit(1);
        }
        *argv++;

        if (*argv) {
                ret = llr_init_resmgr(LLR_API_VERSION, &rm_handle, &errObj);
                if (ret != LLR_API_OK ) {
                        llr_error(&errObj, LLR_ERROR_PRINT_STDOUT);
                        return ret;
                }

                ret = llr_get_history( rm_handle, *argv, formatjob, &errObj);
                if (ret != LLR_API_OK) {
                        llr_error(&errObj, LLR_ERROR_PRINT_STDOUT);
                        return 2;
                }

                llr_free_resmgr(&rm_handle, &errObj);
                if (ret != LLR_API_OK) {
                        printf("error\n");
                        llr_error(&errObj, LLR_ERROR_PRINT_STDOUT);
                        return 2;
                }
        }


        exit(0);
}
