
/* **************************************************************
 * The formatjob() function in this module formats the
 * information stored in an LLR_job structure and 
 * sends the results to stdout. It is intended to be used 
 * in conjunction with the llr_get_history() interface. See the
 * module pacct.c in this directory for an usage example.
 * ************************************************************ */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>
#include <sys/time.h>
#include <sys/resource.h>
#include <sys/types.h>
#include "llrapi.h"

const char* step_state_string(llr_step_state_t s) {
        switch(s) {
        case LLR_STATE_CANCELED:         return "STATE_CANCELED";
        case LLR_STATE_COMPLETED:        return "STATE_COMPLETED";
        case LLR_STATE_COMPLETE_PENDING: return "STATE_COMPLETE_PENDING";
        case LLR_STATE_DEFERRED:         return "STATE_DEFERRED";
        case LLR_STATE_HOLD:             return "STATE_HOLD";
        case LLR_STATE_IDLE:             return "STATE_IDLE";
        case LLR_STATE_NOTQUEUED:        return "STATE_NOTQUEUED";
        case LLR_STATE_NOTRUN:           return "STATE_NOTRUN";
        case LLR_STATE_PENDING:          return "STATE_PENDING";
        case LLR_STATE_PREEMPTED:        return "STATE_PREEMPTED";
        case LLR_STATE_PREEMPT_PENDING:  return "STATE_PREEMPT_PENDING";
        case LLR_STATE_REJECTED:         return "STATE_REJECTED";
        case LLR_STATE_REJECT_PENDING:   return "STATE_REJECT_PENDING";
        case LLR_STATE_REMOVED:          return "STATE_REMOVED";
        case LLR_STATE_REMOVE_PENDING:   return "STATE_REMOVE_PENDING";
        case LLR_STATE_RESUME_PENDING:   return "STATE_RESUME_PENDING";
        case LLR_STATE_RUNNING:          return "STATE_RUNNING";
        case LLR_STATE_STARTING:         return "STATE_STARTING";
        case LLR_STATE_SUBMISSION_ERR:   return "STATE_SUBMISSION_ERR";
        case LLR_STATE_TERMINATED:       return "STATE_TERMINATED";
        case LLR_STATE_UNEXPANDED:       return "STATE_UNEXPANDED";
        case LLR_STATE_VACATED:          return "STATE_VACATED";
        case LLR_STATE_VACATE_PENDING:   return "STATE_VACATE_PENDING";
        default:                         return "UNKNOWN_STATE";
        }
}
